"use strict";

let { classes: Cc, interfaces: Ci, results: Cr, utils: Cu } = Components;
Cu.import("resource://gre/modules/XPCOMUtils.jsm");
XPCOMUtils.importRelative(this, "arAppInfo.jsm");

let EXPORTED_SYMBOLS = ["arAlertUtil"];

/**
 * 警告関連ユーティリティ
 */
let arAlertUtil = {
  toast: function(window, message, duration) {
    window.NativeWindow.toast.show(message, duration);
  },
  
  doorhanger: function(window, message, value, buttons, options) {
    window.NativeWindow.doorhanger.show(message, value, buttons,
                                        window.BrowserApp.selectedTab.id,
                                        options);
  }
};
